#include "camera/camera.h"
#include "vector/vec.h"

mat4x4f_t inverse_camera_translation_matrix(const camera_t *camera) {
  vec3f_t inverse_translation = vec_mul_num(vec3f_t, camera->position, -1.0f);
  return get_translation_matrix(inverse_translation);
}

mat4x4f_t inverse_camera_rotation_matrix(const camera_t *camera) {
  vec3f_t inverse_rotation = vec_mul_num(vec3f_t, camera->rotation, -1.0f);
  return get_rotation_matrix(inverse_rotation);
}
